Subject: bug#30039: 26.0.90; [26.1] Making my code warning free is impossible with when-let

From: Eli Zaretskii <[email-masked]>
Date: Wed, 10 Jan 2018 17:45:49 +0200

> From: Damien Cassou <[email-masked]>
> Date: Wed, 10 Jan 2018 13:13:44 +0100
> Cc: [email-masked]
> 
> Noam Postavsky <[email-masked]> writes:
> > Since we don't have a time machine, this seems impractical (or if you
> > mean release 25.4 just for this, kind of overkill).
> 
> 
> I would also like a time machine but I was more referring to a new
> release of Emacs 25.

You mean, release Emacs 25.4 with this single change?  That's unlikely
to happen.  And even if it did, I don't understand what problem would
it solve: people who have previous versions will still need to
upgrade, and you can tell them to upgrade to Emacs 26.1 exactly as you
can tell them to upgrade to 25.4.  What am I missing?

> >> - un-deprecate when-let (and if-let) in Emacs 26 and re-deprecate it
> >>   later.
> >
> > When is "later"?  Wouldn't the problem remain indefinitely?
> 
> That’s a question we need to answer. I think supporting 2 releases would
> already be good (i.e., 26.1 does not deprecate but 26.2 does).

That's not how we deprecate stuff.  We never wait with deprecation,
only with the actual removal.